NodeAttributeStore (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.nodelabels, interface: NodeAttributeStore

Package org.apache.hadoop.yarn.nodelabels

# Interface NodeAttributeStore

All Superinterfaces:
  `AutoCloseable`, `Closeable`

public interface NodeAttributeStore extends Closeable
Interface class for Node label store.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)`
  Add attribute to node.
  `void`
  `init(org.apache.hadoop.conf.Configuration configuration, NodeAttributesManager mgr)`
  Initialize based on configuration and NodeAttributesManager.
  `void`
  `recover()`
  Recover store on resource manager startup.
  `void`
  `removeNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)`
  Remove attribute from node.
  `void`
  `replaceNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute)`
  Replace labels on node.

  ### Methods inherited from interface java.io.Closeable

  `close`

- ## Method Details

  - ### replaceNodeAttributes

    void replaceNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute) throws IOException
    Replace labels on node.
    Parameters:
      `nodeToAttribute` - node to attribute list.
    Throws:
      `IOException` - io error occur.

  - ### addNodeAttributes

    void addNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute) throws IOException
    Add attribute to node.
    Parameters:
      `nodeToAttribute` - node to attribute list.
    Throws:
      `IOException` - io error occur.

  - ### removeNodeAttributes

    void removeNodeAttributes(List<org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes> nodeToAttribute) throws IOException
    Remove attribute from node.
    Parameters:
      `nodeToAttribute` - node to attribute list.
    Throws:
      `IOException` - io error occur.

  - ### init

    void init(org.apache.hadoop.conf.Configuration configuration, NodeAttributesManager mgr) throws Exception
    Initialize based on configuration and NodeAttributesManager.
    Parameters:
      `configuration` - configuration instance.
      `mgr` - node attribute manager instance.
    Throws:
      `Exception` - exception occurs.

  - ### recover

    void recover() throws IOException, org.apache.hadoop.yarn.exceptions.YarnException
    Recover store on resource manager startup.
    Throws:
      `IOException` - io error occur.
      `org.apache.hadoop.yarn.exceptions.YarnException` - exceptions from yarn servers.